Index: README.md
===================================================================
--- README.md	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ README.md	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -9,4 +9,6 @@
 directly harm others. HelenOS is therefore flexible, modular,
 extensible, fault tolerant and easy to understand.
+
+![screenshot](http://www.helenos.org/raw-attachment/wiki/Screenshots/screenshot.png "Screenshot")
 
 HelenOS aims to be compatible with the C11 and C++14 standards, but does not
Index: uspace/app/init/untar.c
===================================================================
--- uspace/app/init/untar.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/app/init/untar.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -45,5 +45,5 @@
 typedef struct {
 	const char *dev;
-	
+
 	service_id_t sid;
 	aoff64_t offset;
Index: uspace/app/sbi/src/bigint.c
===================================================================
--- uspace/app/sbi/src/bigint.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/app/sbi/src/bigint.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -379,5 +379,5 @@
 	printf("Convert bigint to string.\n");
 #endif
-	static_assert(BIGINT_BASE >= 10);
+	static_assert(BIGINT_BASE >= 10, "");
 
 	/* Compute number of characters. */
Index: uspace/drv/bus/usb/ehci/hw_struct/transfer_descriptor.h
===================================================================
--- uspace/drv/bus/usb/ehci/hw_struct/transfer_descriptor.h	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/drv/bus/usb/ehci/hw_struct/transfer_descriptor.h	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -88,5 +88,5 @@
 #define TD_BUFFER_POINTER_OFFSET_MASK    0xfff
 
-static_assert(sizeof(td_t) % 32 == 0);
+static_assert(sizeof(td_t) % 32 == 0, "");
 
 static inline bool td_active(const td_t *td)
Index: uspace/drv/bus/usb/ohci/hw_struct/hcca.h
===================================================================
--- uspace/drv/bus/usb/ohci/hw_struct/hcca.h	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/drv/bus/usb/ohci/hw_struct/hcca.h	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -61,5 +61,5 @@
 } hcca_t;
 
-static_assert(sizeof(hcca_t) == 256);
+static_assert(sizeof(hcca_t) == 256, "");
 
 /** Allocate properly aligned structure.
Index: uspace/drv/bus/usb/ohci/ohci_regs.h
===================================================================
--- uspace/drv/bus/usb/ohci/ohci_regs.h	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/drv/bus/usb/ohci/ohci_regs.h	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -153,5 +153,5 @@
  * ohci_regs_t.control
  */
- 
+
 /* Control-bulk service ratio */
 #define C_CBSR_1_1  (0x0)
Index: uspace/drv/bus/usb/uhci/uhci_batch.c
===================================================================
--- uspace/drv/bus/usb/uhci/uhci_batch.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/drv/bus/usb/uhci/uhci_batch.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -96,5 +96,5 @@
 int uhci_transfer_batch_prepare(uhci_transfer_batch_t *uhci_batch)
 {
-	static_assert((sizeof(td_t) % 16) == 0);
+	static_assert((sizeof(td_t) % 16) == 0, "");
 
 	usb_transfer_batch_t *usb_batch = &uhci_batch->base;
Index: uspace/drv/bus/usb/xhci/trb_ring.c
===================================================================
--- uspace/drv/bus/usb/xhci/trb_ring.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/drv/bus/usb/xhci/trb_ring.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -53,5 +53,5 @@
 } __attribute__((aligned(PAGE_SIZE)));
 
-static_assert(sizeof(trb_segment_t) == PAGE_SIZE);
+static_assert(sizeof(trb_segment_t) == PAGE_SIZE, "");
 
 /**
Index: uspace/lib/c/generic/double_to_str.c
===================================================================
--- uspace/lib/c/generic/double_to_str.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/lib/c/generic/double_to_str.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -503,5 +503,5 @@
 {
 	/* The whole computation assumes 64bit significand. */
-	static_assert(sizeof(ieee_val.pos_val.significand) == sizeof(uint64_t));
+	static_assert(sizeof(ieee_val.pos_val.significand) == sizeof(uint64_t), "");
 
 	if (ieee_val.is_special) {
@@ -754,5 +754,5 @@
 {
 	/* The whole computation assumes 64bit significand. */
-	static_assert(sizeof(ieee_val.pos_val.significand) == sizeof(uint64_t));
+	static_assert(sizeof(ieee_val.pos_val.significand) == sizeof(uint64_t), "");
 
 	if (ieee_val.is_special) {
Index: uspace/lib/c/generic/ieee_double.c
===================================================================
--- uspace/lib/c/generic/ieee_double.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/lib/c/generic/ieee_double.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -45,5 +45,5 @@
 	const int exponent_bias = 1075;
 
-	static_assert(sizeof(val) == sizeof(uint64_t));
+	static_assert(sizeof(val) == sizeof(uint64_t), "");
 
 	union {
Index: uspace/lib/c/generic/time.c
===================================================================
--- uspace/lib/c/generic/time.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/lib/c/generic/time.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -79,5 +79,5 @@
 clock_t clock(void)
 {
-	static_assert(CLOCKS_PER_SEC == 1000000);
+	static_assert(CLOCKS_PER_SEC == 1000000, "");
 
 	size_t count;
Index: uspace/lib/c/include/assert.h
===================================================================
--- uspace/lib/c/include/assert.h	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/lib/c/include/assert.h	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -42,5 +42,5 @@
 
 #ifndef __cplusplus
-#define static_assert(expr)	_Static_assert(expr, "")
+#define static_assert _Static_assert
 #endif
 
Index: uspace/lib/pcut/src/os/generic.c
===================================================================
--- uspace/lib/pcut/src/os/generic.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/lib/pcut/src/os/generic.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -121,5 +121,5 @@
 	FORMAT_COMMAND(command, PCUT_COMMAND_LINE_BUFFER_SIZE - 1,
 		self_path, (test)->id, tempfile_name);
-	
+
 	PCUT_DEBUG("Will execute <%s> (temp file <%s>) with system().",
 		command, tempfile_name);
Index: uspace/lib/untar/untar.c
===================================================================
--- uspace/lib/untar/untar.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/lib/untar/untar.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -154,5 +154,5 @@
 		return rc;
 	}
-	
+
 	while (true) {
 		tar_header_raw_t header_raw;
Index: uspace/lib/usb/include/usb/request.h
===================================================================
--- uspace/lib/usb/include/usb/request.h	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/lib/usb/include/usb/request.h	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -117,5 +117,5 @@
 } __attribute__((packed)) usb_device_request_setup_packet_t;
 
-static_assert(sizeof(usb_device_request_setup_packet_t) == USB_SETUP_PACKET_SIZE);
+static_assert(sizeof(usb_device_request_setup_packet_t) == USB_SETUP_PACKET_SIZE, "");
 
 #define GET_DEVICE_DESC(size) \
Index: uspace/lib/usbdev/src/request.c
===================================================================
--- uspace/lib/usbdev/src/request.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/lib/usbdev/src/request.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -45,5 +45,5 @@
 #define MAX_DATA_LENGTH ((size_t)(0xFFFF))
 
-static_assert(sizeof(usb_device_request_setup_packet_t) == 8);
+static_assert(sizeof(usb_device_request_setup_packet_t) == 8, "");
 
 /** Generic wrapper for SET requests using standard control request format.
Index: uspace/srv/locsrv/locsrv.c
===================================================================
--- uspace/srv/locsrv/locsrv.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/srv/locsrv/locsrv.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -1409,5 +1409,5 @@
 	 */
 	static_assert((INTERFACE_LOC_SUPPLIER & IFACE_EXCHANGE_MASK) ==
-	    IFACE_EXCHANGE_SERIALIZE);
+	    IFACE_EXCHANGE_SERIALIZE, "");
 
 	loc_server_t *server = loc_server_register();
Index: uspace/srv/net/inetsrv/pdu.c
===================================================================
--- uspace/srv/net/inetsrv/pdu.c	(revision 272a293cd1097ed3e3eca8ed70eb43f5cd0bc775)
+++ uspace/srv/net/inetsrv/pdu.c	(revision a91b8287aa67e2cbdec837803ff22233f66fa660)
@@ -224,5 +224,5 @@
 		return EINVAL;
 
-	static_assert(sizeof(ip6_header_t) % 8 == 0);
+	static_assert(sizeof(ip6_header_t) % 8 == 0, "");
 	assert(hdr_size % 8 == 0);
 	assert(offs % FRAG_OFFS_UNIT == 0);
